Name: rhevm-image-uploader
Version: 3.1.0
Release: 7%{?dist}
Source: %{name}-%{version}.tar.gz
License: ASL 2.0
Summary: Image Uploader for Red Hat Enterprise Virtualization
Group: Virtualization/Management
URL: http://www.redhat.com/virtualization/rhev/server/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
BuildArch: noarch
BuildRequires: python-devel
Requires: python-lxml
Requires: rhevm-sdk
Requires: kernel >= 2.6.32-279.1.1
Conflicts: rhevm < 3.1

Patch1: 0001-tools-support-mandatory-verify-BZ854721.patch
Patch2: 0002-tools-support-mandatory-verify-v2-BZ854721.patch
Patch3: 0003-tools-Fix-default-port-BZ857128.patch
Patch4: 0004-tools-Don-t-print-help-on-error-BZ858968.patch
Patch5: 0005-rhevm-image-uploader-Add-requirement-for-minimum-ker.patch
Patch6: 0006-rhevm-image-uploader-Add-requirement-for-minimum-ker.patch
Patch7: 0007-tools-Add-conflicts-3.1-BZ873271.patch


%description
Image Uploader tool for Red Hat Enterprise Virtualization Manager
%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1


%build

%install
rm -rf %{buildroot}/*
make PREFIX=%{buildroot}/ install

%files
%defattr(-,root,root,-)
%{_datadir}/rhevm/image-uploader
%{_bindir}/rhevm-image-uploader
%config(noreplace) %{_sysconfdir}/ovirt-engine/imageuploader.conf
%doc  %{_mandir}/man8/rhevm-image-uploader.8.gz
%doc AUTHORS
%doc LICENSE

%changelog
* Sun Nov 11 2012 Kiril Nesenko <knesenko@redhat.com> - 3.1.0-7
- tools: Add conflicts < 3.1 (BZ873271)
Resolves: BZ#873271

* Wed Oct 31 2012 Kiril Nesenko <knesenko@redhat.com> - 3.1.0-6.0-5
- rhevm-image-uploader: Add requirement for minimum kernel version (#BZ857028)
Resolves: BZ#857028

* Mon Oct 29 2012 Kiril Nesenko <knesenko@redhat.com> - 3.1.0-5
- rhevm-image-uploader: Add requirement for minimum kernel version (#BZ857028)
Resolves: BZ#857028

* Fri Sep 28 2012 Keith Robertson <kroberts@redhat.com>  - 3.1.0-4
- rhbz#857128
- rhbz#858968
* Wed Sep 12 2012 Keith Robertson <kroberts@redhat.com>  - 3.1.0-3
- tools support mandatory verify 2nd attempt,rhbz854721
* Wed Sep 12 2012 Dan Kenigsberg <danken@redhat.com> - 3.1.0-2
- tools support mandatory verify
Resolves: BZ#854721
* Thu Apr 19 2012 Keith Robertson <kroberts@redhat.com> - 3.1.0-1
- Fixed requires
* Thu Apr 19 2012 Keith Robertson <kroberts@redhat.com> - 3.1.0-0
- Updated to use new SDK
* Wed Feb 07 2012 Keith Robertson <kroberts@redhat.com> - 3.0.4-0
- Changed major version to fix rpmdiff issue.
* Wed Feb 01 2012 Keith Robertson <kroberts@redhat.com> - 3.0.3-2
- Fixed RPM version in makefile and spec
* Tue Jan 17 2012 Keith Robertson <kroberts@redhat.com> - 3.0.0-0
- Initial build
- Cloned from RHEVM spec file
